Rwanda RAMS - Task #44

[TMS] Execute Process Grouping common process
27/03/2024 01:00 PM - Kalyan Battula

Status: New Start date: 27/03/2024
Priority: Normal Due date:

Assignee: Ravi Shekar Gotimukul % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

TMS- Execute Process Grouping common process

History

#1 - 29/03/2024 05:27 AM - Kalyan Battula

- Assignee set to Ravi Shekar Gotimukul

20/04/2025

1/1
